petsc-3.10.5 2019-03-28
Report Typos and Errors

# TS

Abstract PETSc object that manages all time-steppers (ODE integrators)

### Synopsis

    typedef struct _p_TS* TS;

### See Also

TSCreate(), TSSetType(), TSType, SNES, KSP, PC, TSDestroy()

### Level

beginner

### Location

src/ts/../../include/petscts.h

### Examples

src/snes/examples/tutorials/ex30.c.html
src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex13.c.html
src/ts/examples/tutorials/ex15.c.html

### Implementations

_p_TS in include/petsc/private/tsimpl.h
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages